Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseNcbType

    java.lang.Object
      nz.co.cks.tms.xml.ResponseNcbType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResponseNcb

public abstract class ResponseNcbType
extends java.lang.Object
implements java.io.Serializable

Class ResponseNcbType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.Vector` | `_ncbList` Field _ncbList

Constructor Summary
`ResponseNcbType()`

Method Summary
`void` | `addNcb(int index, Ncb vNcb)` Method addNcb
`void` | `addNcb(Ncb vNcb)` Method addNcb
`java.util.Enumeration` | `enumerateNcb()` Method enumerateNcb
`Ncb[]` | `getNcb()` Method getNcb
`Ncb` | `getNcb(int index)` Method getNcb
`int` | `getNcbCount()` Method getNcbCount
`boolean` | `isValid()` Method isValid
`void` | `removeAllNcb()` Method removeAllNcb
`Ncb` | `removeNcb(int index)` Method removeNcb
`void` | `setNcb(int index, Ncb vNcb)` Method setNcb
`void` | `setNcb(Ncb[] ncbArray)` Method setNcb
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ncbList

    private java.util.Vector _ncbList

  Field _ncbList

Constructor Detail

### ResponseNcbType

    public ResponseNcbType()

Method Detail

### addNcb

    public void addNcb(int index,
                       Ncb vNcb)
                throws java.lang.IndexOutOfBoundsException

  Method addNcb

  Parameters:
    `index` -
    `vNcb` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcb

    public void addNcb(Ncb vNcb)
                throws java.lang.IndexOutOfBoundsException

  Method addNcb

  Parameters:
    `vNcb` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateNcb

    public java.util.Enumeration enumerateNcb()

  Method enumerateNcb

### getNcb

    public Ncb[] getNcb()

  Method getNcb

### getNcb

    public Ncb getNcb(int index)
               throws java.lang.IndexOutOfBoundsException

  Method getNcb

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbCount

    public int getNcbCount()

  Method getNcbCount

### isValid

    public boolean isValid()

  Method isValid

### removeAllNcb

    public void removeAllNcb()

  Method removeAllNcb

### removeNcb

    public Ncb removeNcb(int index)

  Method removeNcb

  Parameters:
    `index` -

### setNcb

    public void setNcb(int index,
                       Ncb vNcb)
                throws java.lang.IndexOutOfBoundsException

  Method setNcb

  Parameters:
    `index` -
    `vNcb` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcb

    public void setNcb(Ncb[] ncbArray)

  Method setNcb

  Parameters:
    `ncbArray` -

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD